; $Id: surfpl.pro,v 1.2 2002/01/14 20:59:26 amunter Exp $
FUNCTION ticks, axis, index, value
COMMON globals, x,y,intens,rangex,rangey
 IF (axis EQ 0) THEN jim = (value)*rangex*1000
 IF (axis EQ 1) THEN jim = (value)*rangey*1000
 IF (axis EQ 2) THEN jim = intens(value)
 RETURN, STRING(jim,FORMAT="(I)")
END


common globals, x,y,intens,rangex,rangey

triangulate,d.x,d.y,tr,b
rangex = (max(d.x)-min(d.x))/100.0
rangey = (max(d.y)-min(d.y))/100.0
inter1=trigrid(d.x,d.y,d.z,tr,[rangex,rangey],[min(d.x),min(d.y),max(d.x),max(d.y)])
inter2=trigrid(d.x,d.y,d.fit,tr,[rangex,rangey],[min(d.x),min(d.y),max(d.x),max(d.y)])
inter3=trigrid(d.x,d.y,d.z-d.fit,tr,[rangex,rangey],[min(d.x),min(d.y),max(d.x),max(d.y)])

!P.MULTI = [0,3,2]

shade_surf, inter1, charsize=2.5, xtickformat='ticks', ytickformat='ticks', AZ=060
shade_surf, inter2, charsize=2.5, xtickformat='ticks', ytickformat='ticks', AZ=060
shade_surf, inter3, charsize=2.5, xtickformat='ticks', ytickformat='ticks', AZ=060
contour, inter1, charsize=2.5, xtickformat='ticks', ytickformat='ticks'
contour, inter2, charsize=2.5, xtickformat='ticks', ytickformat='ticks'
contour, inter3, charsize=2.5, xtickformat='ticks', ytickformat='ticks'
END
